com.mockobjects.dynamic

## Class CallSignature

- java.lang.Object
- - junit.framework.Assert
  - - com.mockobjects.dynamic.CallSignature

- All Implemented Interfaces:
    Callable, Verifiable

      public class CallSignature
      extends junit.framework.Assert
      implements Callable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallSignature(java.lang.String methodName, ConstraintMatcher constraints, Callable delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `call(Mock mock, java.lang.String methodName, java.lang.Object[] args)`
    `java.lang.String` | `getDescription()`
    `boolean` | `matches(java.lang.String methodName, java.lang.Object[] args)`
    `java.lang.String` | `toString()`
    `void` | `verify()` Throw an AssertionFailedException if any expectations have not been met.

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CallSignature

          public CallSignature(java.lang.String methodName,
                               ConstraintMatcher constraints,
                               Callable delegate)

  - ### Method Detail

    - #### call

          public java.lang.Object call(Mock mock,
                                       java.lang.String methodName,
                                       java.lang.Object[] args)
                                throws java.lang.Throwable

      Specified by:
        `call` in interface `Callable`
      Throws:
        `java.lang.Throwable`

    - #### verify

          public void verify()

      Description copied from interface: `Verifiable`
      Throw an AssertionFailedException if any expectations have not been met.
      Specified by:
        `verify` in interface `Verifiable`

    - #### matches

          public boolean matches(java.lang.String methodName,
                                 java.lang.Object[] args)

      Specified by:
        `matches` in interface `Callable`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in interface `Callable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2002 Mock Objects. All Rights Reserved.